Page 1 of 1

libEGL warning: DRI2: failed to authenticateの警告

Posted: Thu Mar 14, 2019 12:16 am
by saitoib
RaspberryPi 3B+
Raspsbian stretch with Desktop 2018-11-13

RasPiに、Qt5をインストールし、GUIアプリを作ろうとしています。
Qtのインストールは
sudo apt-get install qt-sdk qtbase5-dev libgl1-mesa-dev としました。

簡単なテストを実行したところ、Qtのアプリケーション出力欄に
libEGL warning: DRI2: failed to authenticate
qt5ct: using qt5ct plugin
qt5ct: D-Bus global menu: no
inotify_add_watch("/home/user01/.config/qt5ct") failed: "No such file or directory"
の警告が出ます。
とりあえず、テストの実行には問題はないようです。

2行目以降はQt固有の警告ですが、1行目の警告な内容が良く分かりません。

libEGL warning: DRI2: failed to authenticate
の警告内容、解決法をご存知ないでしょうか?

Re: libEGL warning: DRI2: failed to authenticateの警告

Posted: Mon Apr 15, 2019 8:07 am
by masafumi_ohta
太田です。

さっくりしか読んでませんが、このあたりどうでしょう?

https://raspberrypi.stackexchange.com/q ... -to-libegl